Service Fabric
action Cluster

# stop_chaos

Stop Chaos in your cluster

Run it now
View details

Type | action
Module | chaosservicefabric.cluster.actions
Name | stop_chaos
Return | mapping

Usage

JSON

    {
      "name": "stop-chaos",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosservicefabric.cluster.actions",
        "func": "stop_chaos"
      }
    }

YAML

    name: stop-chaos
    provider:
      func: stop_chaos
      module: chaosservicefabric.cluster.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
timeout | integer | 60 | No | Timeout | Call timeout to stop the Chaos running in the cluster

Please see the `chaosservicefabric.fabric.auth` function help for more information on authenticating with the service.

Signature

    def stop_chaos(timeout: int = 60,
                   configuration: Dict[str, Dict[str, str]] = None,
                   secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Service Fabric
  probe Cluster

  ## `chaos_report`

  Get Chaos report using the Service Fabric API
- Service Fabric
  action Cluster

  ## `start_chaos`

  Start Chaos in your cluster
- Service Fabric
  action Cluster

  ## `start_chaos`

  Start Chaos in your cluster